Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspContextWrapper

    java.lang.Object
      javax.servlet.jsp.JspContext
          javax.servlet.jsp.PageContext
              org.apache.jasper.runtime.JspContextWrapper

All Implemented Interfaces:
  javax.servlet.jsp.el.VariableResolver

public class JspContextWrapper
extends javax.servlet.jsp.PageContext
implements javax.servlet.jsp.el.VariableResolver

Implementation of a JSP Context Wrapper. The JSP Context Wrapper is a JspContext created and maintained by a tag handler implementation. It wraps the Invoking JSP Context, that is, the JspContext instance passed to the tag handler by the invoking page via setJspContext().

Author:
  Kin-man Chung, Jan Luehe

Field Summary

Fields inherited from class javax.servlet.jsp.PageContext
`APPLICATION, APPLICATION_SCOPE, CONFIG, EXCEPTION, OUT, PAGE, PAGE_SCOPE, PAGECONTEXT, REQUEST, REQUEST_SCOPE, RESPONSE, SESSION, SESSION_SCOPE`

Constructor Summary
`JspContextWrapper(javax.servlet.jsp.JspContext jspContext, java.util.ArrayList nestedVars, java.util.ArrayList atBeginVars, java.util.ArrayList atEndVars, java.util.Map aliases)`

Method Summary
`java.lang.Object` | `findAttribute(java.lang.String name)`
`void` | `forward(java.lang.String relativeUrlPath)`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.lang.Object` | `getAttribute(java.lang.String name, int scope)`
`java.util.Enumeration` | `getAttributeNamesInScope(int scope)`
`int` | `getAttributesScope(java.lang.String name)`
`java.lang.Exception` | `getException()`
`javax.servlet.jsp.el.ExpressionEvaluator` | `getExpressionEvaluator()`
`javax.servlet.jsp.JspWriter` | `getOut()`
`java.lang.Object` | `getPage()`
`javax.servlet.ServletRequest` | `getRequest()`
`javax.servlet.ServletResponse` | `getResponse()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSession` | `getSession()`
`javax.servlet.jsp.el.VariableResolver` | `getVariableResolver()`
`void` | `handlePageException(java.lang.Exception ex)`
`void` | `handlePageException(java.lang.Throwable t)`
`void` | `include(java.lang.String relativeUrlPath)`
`void` | `include(java.lang.String relativeUrlPath, boolean flush)`
`void` | `initialize(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int bufferSize, boolean autoFlush)`
`javax.servlet.jsp.JspWriter` | `popBody()`
`javax.servlet.jsp.tagext.BodyContent` | `pushBody()`
`javax.servlet.jsp.JspWriter` | `pushBody(java.io.Writer writer)`
`void` | `release()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeAttribute(java.lang.String name, int scope)`
`java.lang.Object` | `resolveVariable(java.lang.String pName)` VariableResolver interface
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value, int scope)`
`void` | `syncBeforeInvoke()` Synchronize variables before fragment invokation
`void` | `syncBeginTagFile()` Synchronize variables at begin of tag file
`void` | `syncEndTagFile()` Synchronize variables at end of tag file

Methods inherited from class javax.servlet.jsp.PageContext
`getErrorData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspContextWrapper

    public JspContextWrapper(javax.servlet.jsp.JspContext jspContext,
                             java.util.ArrayList nestedVars,
                             java.util.ArrayList atBeginVars,
                             java.util.ArrayList atEndVars,
                             java.util.Map aliases)

Method Detail

### initialize

    public void initialize(javax.servlet.Servlet servlet,
                           javax.servlet.ServletRequest request,
                           javax.servlet.ServletResponse response,
                           java.lang.String errorPageURL,
                           boolean needsSession,
                           int bufferSize,
                           boolean autoFlush)
                    throws java.io.IOException,
                           java.lang.IllegalStateException,
                           java.lang.IllegalArgumentException

  Throws:
    `java.io.IOException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name,
                                         int scope)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value,
                             int scope)

### findAttribute

    public java.lang.Object findAttribute(java.lang.String name)

### removeAttribute

    public void removeAttribute(java.lang.String name)

### removeAttribute

    public void removeAttribute(java.lang.String name,
                                int scope)

### getAttributesScope

    public int getAttributesScope(java.lang.String name)

### getAttributeNamesInScope

    public java.util.Enumeration getAttributeNamesInScope(int scope)

### release

    public void release()

### getOut

    public javax.servlet.jsp.JspWriter getOut()

### getSession

    public javax.servlet.http.HttpSession getSession()

### getPage

    public java.lang.Object getPage()

### getRequest

    public javax.servlet.ServletRequest getRequest()

### getResponse

    public javax.servlet.ServletResponse getResponse()

### getException

    public java.lang.Exception getException()

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### forward

    public void forward(java.lang.String relativeUrlPath)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### include

    public void include(java.lang.String relativeUrlPath)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### include

    public void include(java.lang.String relativeUrlPath,
                        boolean flush)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getVariableResolver

    public javax.servlet.jsp.el.VariableResolver getVariableResolver()

### pushBody

    public javax.servlet.jsp.tagext.BodyContent pushBody()

### pushBody

    public javax.servlet.jsp.JspWriter pushBody(java.io.Writer writer)

### popBody

    public javax.servlet.jsp.JspWriter popBody()

### getExpressionEvaluator

    public javax.servlet.jsp.el.ExpressionEvaluator getExpressionEvaluator()

### handlePageException

    public void handlePageException(java.lang.Exception ex)
                             throws java.io.IOException,
                                    javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### handlePageException

    public void handlePageException(java.lang.Throwable t)
                             throws java.io.IOException,
                                    javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### resolveVariable

    public java.lang.Object resolveVariable(java.lang.String pName)
                                     throws javax.servlet.jsp.el.ELException

  VariableResolver interface

  Specified by:
    `resolveVariable` in interface `javax.servlet.jsp.el.VariableResolver`
  Throws:
    `javax.servlet.jsp.el.ELException`

### syncBeginTagFile

    public void syncBeginTagFile()

  Synchronize variables at begin of tag file

### syncBeforeInvoke

    public void syncBeforeInvoke()

  Synchronize variables before fragment invokation

### syncEndTagFile

    public void syncEndTagFile()

  Synchronize variables at end of tag file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.